package com.adealink.weparty.hardware

import com.adealink.frame.aab.util.getCompatString
import com.adealink.weparty.R

enum class Hardware {
    CAMERA, //相机
    MIC; //麦克风

    fun getDesc():String{
        return when (this) {
            CAMERA -> {
                getCompatString(R.string.common_hardware_camera)
            }
            MIC -> {
                getCompatString(R.string.common_hardware_mic)
            }
        }
    }
}

enum class HardwarePriority(val priority: Int) {
    LOW(0),
    MIDDLE(1),
    HIGH(2)
}